const system = require("../../../system");
const ServiceBase = require("../../svems.base")
const settings = require("../../../../config/settings")
class MerchantaddressService extends ServiceBase {
  constructor() {
    super();
  }

  async page(params) {
    var res = await this.callms("merchant", "merchantAddressList", params);
    return res;
  }
  async info(params) {
    return await this.callms("merchant", "merchantAddressInfo", params);
  }

  async save(params) {
    return await this.callms("merchant", "merchantAddressSave", params);
  }
  
  async setDefault(params) {
    var res = await this.callms("merchant", "merchantAddressDefault", params);
    return res;
  }
}
module.exports = MerchantaddressService;
// var task=new UserService();
// task.getUserStatisticGroupByApp().then(function(result){
//   console.log((result));
// }).catch(function(e){
//   console.log(e);
// });